package com.arms.egovframework.javaservice.esframework.esquery.filter;


import org.opensearch.index.query.AbstractQueryBuilder;
import org.opensearch.index.query.QueryBuilders;
import org.opensearch.index.query.TermsQueryBuilder;

import java.util.List;

public class TermsQueryFilter extends Filter<TermsQueryBuilder> {

	private TermsQueryBuilder termsQueryBuilder;


	public TermsQueryFilter(String name, List<?> value){
		if(name!=null&&value!=null){
			this.termsQueryBuilder = QueryBuilders.termsQuery(name, value);
		}
	}
	@Override
	public AbstractQueryBuilder<TermsQueryBuilder> abstractQueryBuilder() {
		return  termsQueryBuilder;
	}

}
